Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cxf.transport
Interface ConduitInitiatorManager

    public interface ConduitInitiatorManager

The ConduitInitiatorManager provides an interface to register and retrieve transport factories.

Method Summary
`void` | `deregisterConduitInitiator(java.lang.String name)` Unregister a `ConduitInitiator`.
`ConduitInitiator` | `getConduitInitiator(java.lang.String name)` Returns the `ConduitInitiator` registered with the specified name, loading the appropriate plugin if necessary.
`ConduitInitiator` | `getConduitInitiatorForUri(java.lang.String uri)`
`void` | `registerConduitInitiator(java.lang.String name, ConduitInitiator factory)` Associates a name, often a URI, with a `ConduitInitiator` when registering with the `Bus`'s `TransportRegistry`.

Method Detail

### registerConduitInitiator

    void registerConduitInitiator(java.lang.String name,
                                  ConduitInitiator factory)

  Associates a name, often a URI, with a `ConduitInitiator` when registering with the `Bus`'s `TransportRegistry`.

  Parameters:
    `name` - A string containing the name used to identify the `ConduitInitiator`
    `factory` - The `ConduitInitiator` to be registered.

### deregisterConduitInitiator

    void deregisterConduitInitiator(java.lang.String name)

  Unregister a `ConduitInitiator`.

  Parameters:
    `name` - A string containing the name of the `ConduitInitiator`.

### getConduitInitiator

    ConduitInitiator getConduitInitiator(java.lang.String name)
                                         throws BusException

  Returns the `ConduitInitiator` registered with the specified name, loading the appropriate plugin if necessary.

  Parameters:
    `name` -
  Returns:
    the registered `ConduitInitiator`
  Throws:
    `BusException`

### getConduitInitiatorForUri

    ConduitInitiator getConduitInitiatorForUri(java.lang.String uri)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Apache CXF is an effort undergoing incubation at the Apache Software Foundation(ASF) and sponsored by the Apache Incubator PMC.